//++
//|                                                JQS UGA_script v1.1.0 |
//|                                       Copyright  2010, JQS aka Joo. |
//|                                     http://www.mql4.com/ru/users/joo |
//++
#property copyright "Copyright  2010, JQS aka Joo."                   //|
#property link      "http://www.mql4.com/ru/users/joo"                 //|
//++
#property description ",   "      //|
#property description "   UGAlib," //|
#property description "  "          //|
#property description " "                          //|
//++
#property script_show_inputs                                           //|
//++
#include "UGAlib.mqh"
#include "Skin.mqh"// 
//++

//
//---------------------- --------------------------------
input string GenofundParam         =        "---- ----";
input int    ChromosomeCount_P     = 50;    //-   
input int    GeneCount_P           = 2;     //- 
input int    Epoch_P               = 50;    //-   
//---
input string GA_OperatorParam      =        "---- ----";
input double ReplicationPortion_P  = 100.0; // .
input double NMutationPortion_P    = 10.0;  //  .
input double ArtificialMutation_P  = 10.0;  //  .
input double GenoMergingPortion_P  = 20.0;  //  .
input double CrossingOverPortion_P = 20.0;  // .
//---
input double ReplicationOffset_P   = 0.5;   //   
input double NMutationProbability_P= 5.0;   //     %
//---
input string OptimisationParam     =        "---- ----";
input double RangeMinimum_P        = -5.0;  //  
input double RangeMaximum_P        = 5.0;   //  
input double Precision_P           = 0.0001;// 
input int    OptimizeMethod_P      = 1;     //.:1-Min,-Max
//

//
//---------------------- -----------------------------
double ERROR=0.0;//   
//

//
//-------------------------- --------------------------------
int OnStart()
{
  //------------------------------------------------------------
  //    UGA
  ChromosomeCount=ChromosomeCount_P; //-   
  GeneCount      =GeneCount_P;       //- 
  RangeMinimum   =RangeMinimum_P;    //  
  RangeMaximum   =RangeMaximum_P;    //  
  Precision      =Precision_P;       // 
  OptimizeMethod =OptimizeMethod_P;  //1-,  -
  ArrayResize(Chromosome,GeneCount+1);
  ArrayInitialize(Chromosome,0);
  Epoch=Epoch_P;                     //-   
  //----------------------------------------------------------------------
  // 
  int time_start=(int)GetTickCount(),time_end=0;
  //----------------------------------------------------------------------

  //  - UGA
  UGA
  (
  ReplicationPortion_P, // .
  NMutationPortion_P,   //  .
  ArtificialMutation_P, //  .
  GenoMergingPortion_P, //  .
  CrossingOverPortion_P,// .
  //---
  ReplicationOffset_P,  //   
  NMutationProbability_P//     %
  );
  //----------------------------------
  time_end=(int)GetTickCount();
  //----------------------------------
  Print(time_end-time_start,"  -  ");
  //----------------------------------
  return(0);
}
//
